html,
body {
    height: 100%;
}

h1{
    margin-bottom: 18px;
}

h3 {
    font-size: 20px;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -191px;
/*    padding: 0 0 220px;*/
    overflow-x: auto;
    overflow-y: visible;
}

.wrap > .container {
    padding-top: 20px;
    padding-bottom: 20px;
}

.footer {
    border-top: 1px solid #ddd;
    background-color: #383838;
    height: auto;
    padding-top: 0;
    display: none;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {

}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}


.container.container-full-width {
    width: 100%;
    padding: 0 10px;
}


.form-control {
    border-radius: 0;
}

#header {
    padding: 35px 0 21px;
    border-bottom: none;
    background-color: #d72a20;
    z-index: 1000;
}

#header > .container {
    max-width: 1492px;
    margin: 0 auto;
}

#header > .container::after {
  content: "";
  display: table;
  clear: both;
}

.main-logo {
    float: left;
    margin-right: 30px;
}

.nav > li > a.logout-button {
    display: inline-block;
    width: 15px;
    height: 16px;
    padding: 0;
    margin-top: 16px;
    right: 6px;
    background-image: url(/images/out.png);
}

.navbar-nav li a{
    color: #ffffff;
    font-size: 14px;
}

.navbar-nav > li > a:hover, .navbar-nav > li > a:focus {
    background-color: transparent;
}

.top-menu {
    float: left;
}

.top-menu li {
    float: left;
}

.login-menu li {
    position: relative;
}

.top-menu li a {
    display: table-caption;
    text-align: center;
    padding: 12px 23px;
}

.top-menu li a, .login-menu li a {
    text-transform: uppercase;
}

.top-menu > li.active > a, .top-menu > li.active > a:hover {
    background-color: #ffffff;
    color: #d72a20;
}

.login-menu {
    float: right;
    margin-top: -3px;
}

.login-menu li {
    float: left;
}

.login-menu .active a {
    color: #f9ff20;
}

.top-menu > li > a:hover, .top-menu > li > a:focus,
.login-menu > li > a:hover, .login-menu > li > a:focus {
    color: #ffa4a4;
}

.top-menu .active .arrow {
    border-color: transparent;
    border-style: solid;
    display: block;
    height: 0;
    position: absolute;
    width: 0;
    border-bottom-width: 0;
    border-top-color: rgba(0, 0, 0, 0.25);
    bottom: -12px;
    left: 50%;
    margin-left: -6px;
    border-width: 6px;
    border-top-color: #fff;
}

.navbar-nav li a .counter{
    border-radius: 50%;
    width: 16px;
    height: 16px;
    background-color: #539b1c;
    position: absolute;
    color: #ffffff;
    font-size: 12px;
    line-height: 16px;
    text-align: center;
    right: 4px;
    top: 7px;
}

.footer-nav {
    float: left;
    margin-top: 50px;
}

.footer-nav > .navbar-nav {
    margin-right: 60px;
    float: left;

}
.footer-nav > .navbar-nav > li {
    float: none;
}

.footer-nav > .navbar-nav > li > a {
    padding: 6px 0 6px 26px;
}

/*******************
  Nav Underlining
*******************/

.nav-underlining {
  display: flex;
  column-gap: 32px;
  margin-bottom: 32px;
}

.nav-underlining > li {
  float: none;
}

.nav-underlining > li > a {
  border-radius: 0;
  padding: 12px 0;

  font-family: "Helvetica Neue", sans-serif;
  font-size: 20px;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: 0.02em;
  text-align: left;
  color: #202020;
}

.nav-underlining > li > a.active {
  border-bottom: 4px solid #D72B21;
}

/******************/

.plus-ico {
    background: url(/images/ico5.png) no-repeat left transparent;
}

.ok-ico{
    background: url(/images/ico6.png) no-repeat left transparent;
}

.question-ico {
    background: url(/images/ico7.png) no-repeat left transparent;
}

.cubes {
    float: right;
    height: 190px;
}

.cubes th, .cubes td {
    width: 190px;
    color: #ffffff;
    padding: 0px 16px;
}

.cubes th {
    vertical-align: top;
}

.cubes th span {
    position: relative;
    top: 40px;
}

.cubes td {
    font-size: 48px;
}

.cube_1 {
    background-color: #545454;
}

.cube_2 {
    background-color: #4e4e4e;
}

.cube_3 {
    background-color: #494949;
}

.site-login {
    width: 327px;
    margin: 40px auto 0;
    border: 1px solid #ccc;
    padding: 46px;
}

.site-login h1 {
    font-size: 24px;
    margin: 0 0 32px;
}

.site-login .form-group {
    margin: 0 0 20px;
}

.site-login .form-control {
    height: 42px;
}

.big-button {
    width: 100%;
    text-transform: uppercase;
    border: none;
    height: 42px;
    margin-top: 20px;
}

.middle-button {
    padding: 0 22px;
    border: none;
    height: 30px;
    display: inline-block;
    line-height: 26px;
    cursor: pointer;
}

.red-button {
    color: #ffffff;
    background-color: #d72a20;
}
.red-button:disabled {
    color: #ffffff;
    background-color: #f1b6b3;
}

.red-button:not(:disabled):hover {
    color: #ffa4a4;
    text-decoration: none;
}

.red-button.inverse {
    color: #d72a20;
    background-color: #ffffff;
    border: 2px solid #d72a20;
}

.red-button.inverse:hover {
    color: #ffa4a4;
}

.status-filter {
    float: right;
}

.date-filter .form-control:focus {
    border: 1px solid #03aa0a;
}

.date-filter .form-group {
    float: left;
    position: relative;
}

.view-filter .form-group {
    margin-bottom: 0;
}

.view-filter {
    margin-bottom: 15px;
    overflow: hidden;
}

.view-filter label {
    margin-right: 5px;
    margin-bottom: 0;
    font-weight: normal;
    line-height: 34px;
    position: relative;
}

.view-filter .form-control {
    display: inline-block;
    width: 140px;
    margin-right: 15px;
    padding-right: 22px;
    color: #000000;
    box-shadow: none;
}

.view-filter .help-block  {
    margin: 0;
}

.inline-label {
    font-weight: normal;
    margin-top: 6px;
}

.date-filter {
    display: flex;
    align-items: center;
    float: left;
}

.ui-datepicker, .ui-datepicker-header, .ui-datepicker .ui-datepicker-buttonpane button {
    border-radius: 0;
}

.ui-datepicker {
    margin-top: 10px;
    padding: 10px;
    border: 1px solid #ccc;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
}

.ui-datepicker .ui-datepicker-header, .ui-datepicker-header .ui-state-hover {
    background-image: none;
    background-color: rgb(219, 219, 219);
    border: none;
    padding: 1px 0;
}

.ui-datepicker .ui-datepicker-next-hover {
    top: 2px;
    right: 2px;
    cursor: pointer;
}

.ui-datepicker .ui-datepicker-prev-hover {
    top: 2px;
    left: 2px;
    cursor: pointer;
}

.ui-datepicker th {
    color: #777;
}

.ui-state-default, .ui-widget-content .ui-state-default, .ui-widget-header .ui-state-default {
    border: none;
    background: none;
    color: #000000;
}

.ui-datepicker-week-end .ui-state-default {
    color: #777;
}

.ui-datepicker td a {
    text-align: center;
}

.ui-datepicker-today .ui-state-default,
.ui-widget-content .ui-state-hover {
    background-color: rgb(241, 241, 241);
}

.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active {
    background-color: #d72a20;
    color: #ffffff;
}

.ui-datepicker .ui-datepicker-buttonpane {
    border-top: none;
    margin: 0;
    padding: 0;
}

.ui-datepicker-close {
    display: none;
}

.ui-datepicker .ui-datepicker-buttonpane button {
    width: 100%;
    background-color: rgb(219, 219, 219);
    margin: 0;
    padding: 3px 0;
}

.ui-datepicker .ui-datepicker-buttonpane button:hover {
    background-color: rgb(241, 241, 241);
}

.ui-datepicker-trigger {
    position: absolute;
    right: 22px;
    top: 9px;
}

.ui-datepicker-trigger:hover {
    cursor: pointer;
    opacity: 0.5;
    -webkit-animation: fadeOut 0.5s ease-out;
    -moz-animation: fadeOut 0.5s ease-out;
    -o-animation: fadeOut 0.5s ease-out;
    animation: fadeOut 0.5s ease-out;
}

.data-table {
    min-height: 150px;
}

.grid-view {
    width: 100%;
}

.requests_list {
    border: 1px solid #ddd;
    width: 100%;
    font-size: 13px;
}

.requests_list td, .requests_list th {
    border: none;
    padding: 8px 5px;
    text-align: center;
}

.requests_list td {
    vertical-align: middle;
}

.requests_list th {
    border-bottom: 2px solid #d72a20;
    color: #777;
    font-weight: normal;
    vertical-align: bottom;
}

.requests_list td.left, .requests_list th.left {
    text-align: left;
}

.requests_list td:first-child, .requests_list th:first-child {
    padding-left: 10px;
}

.requests_list td:last-child, .requests_list th:last-child {
    padding-right: 10px;
}

.first-td {
    display: inline-block;
}

.requests_list .active .glyphicon-refresh {
    display: block;
    line-height: unset;
}

.requests_list .glyphicon-refresh {
    -webkit-animation:spin 1s linear infinite;
    -moz-animation:spin 1s linear infinite;
    animation:spin 1s linear infinite;
    display: none;
}
.spining.glyphicon-refresh {
    -webkit-animation:spin 1s linear infinite;
    -moz-animation:spin 1s linear infinite;
    animation:spin 1s linear infinite;
    vertical-align: sub;
}

@-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
@-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
@keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); } }

.requests_list .buttons, .requests_list .status {
    vertical-align: middle;
    display: inline-block;
}

.requests_list tr.active, .requests_list tr.active .has-popover-request-lines {
    color: #777;
}

.requests_list tr select[disabled], .requests_list tr input[disabled] {
    color: #777;
    cursor: not-allowed;
    border: 1px solid #ddd;
}

.requests_list tr.active .has-popover-request-lines {
    border-bottom: 1px dotted #777;
}

.buttons-cell {
    min-width: 100px;
    position: relative;
}

.requests_list tr.active .buttons,
.requests_list tr.rejected .buttons,
.requests_list tr.ok .buttons,
.requests_list tr.canceled .buttons,
.requests_list .status {
    display: none;
}

.requests_list tr.allow-empty .buttons {
    display: block;
    position: relative;
}

.requests_list tr.allow-empty.active .buttons {
    display: none;
}

/*.requests_list tr.active .annulation-time,
.requests_list tr.rejected .annulation-time {
    color: #ffffff;
}*/

#active_requests_list > tbody > tr.allow-empty {
    background-color: #cfecd0;
}

.requests_list tbody tr.active {
    background-color: #f1f1f1;
}


#active_requests_list tbody tr.rejected,
#active_requests_list tbody tr.ok {
    background-color: #ffffff;
}

.requests_list tbody tr .active,
.requests_list tbody tr .rejected
.requests_list tbody tr .ok
{
    display: none;
}

.requests_list tbody tr.active .active,
.requests_list tbody tr.rejected .rejected,
.requests_list tbody tr.ok .ok,
.requests_list tbody tr.canceled .canceled,
.requests_list tbody tr.sent .sent,
.requests_list tbody tr.new .new
{
    display: block;
}

.requests_list tbody tr .active {
    color: #e39104;
}

.requests_list tbody tr .ok, .requests_list tbody tr .confirmed {
    color: #539b1c;
}

.requests_list tbody tr .rejected {
    color: #d72a20;
}

.requests_list tbody tr.error {
    background-color: #f5cecb;
}

.status-icons {
    text-align: center;
}

.status-icons .status-icon {
    width: 14px;
    height: 14px;
    margin: 2px;
}

.get-error {
    background: url(/images/ico4.png) no-repeat center transparent;
}

.requests_list tbody tr .get-error {
    display: none;
}

.warning-circle
 {
    border-radius: 50%;
    margin: 2px auto;
    background-color: yellow;
}

.requests_list tbody tr .warning-circle,
.requests_list tbody tr.error .get-error {
    display: inline-block;
    vertical-align: middle;
}

.reject-button, .apply-button {
    width: 19px;
    height: 19px;
    display: inline-block;
    cursor: pointer;
}

.reject-button {
    background-image: url(/images/ico1.png);
}

.apply-button {
    margin-left: 15px;
    background-image: url(/images/ico2.png);
}

.requests_list tr {
    border-bottom: 1px solid #ddd;
}

.requests_list .filteredDropDown {
    position: relative;
}

.requests_list select::-ms-expand {
    display: none;
}

.requests_list select {
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    -o-appearance: none;
    appearance: none;
    padding: 0 22px 0 0;
    border-color: #ddd;

}

.select2-container--krajee-bs3 .select2-selection--single {
    cursor: pointer;
    height: 32px;
    padding-right: 36px;
    line-height: 1.5;
}

#active_requests_list .select2-selection__rendered,
#archive_requests_list .select2-selection__rendered {
}

.select2-container--krajee-bs3 .select2-selection {
    border-radius: 0;
    font-size: 13px;
    text-align: left
}

.select2-container--krajee-bs3.select2-container--open .select2-selection--single .select2-selection__arrow,
.selection .select2-selection--single .select2-selection__arrow {
    border: none;
    background: url(/images/ico3.png) no-repeat;
    background-position: right 10px center;
}

.select2-selection__arrow b {
    display: none;
}

.select2-dropdown {
    min-width: 200px;
}

.select2-container--krajee-bs3 .select2-results > .select2-results__options {
    overflow-y: visible;
}

.requests_list input[type="text"] {
    padding: 0 4px;
}

.requests_list select, .requests_list input[type="text"] {
    height: 32px;
    border: 1px solid #ddd;
    width: 126px;
}

.requests_list input:focus {
    box-shadow: none;
}

.requests_list select:hover, .requests_list input:hover {
    border: 1px solid #03aa0a;
}

.requests_list .select-auto, .requests_list .select-trailer {
    width: 93px;
    background-position: 75px center;
}

.requests_list .cell-error .select-auto,
.requests_list .cell-error .select-trailer {
    border: 1px solid #d72a20;
}

.requests_list .cell-wrapper {
    position: relative;
}

.cell-arrow {
    left: 50%;
    position: absolute;
    z-index: 1055;
}
.cell-arrow:after, .cell-arrow:before {
    background: transparent;
    content: "";
    height: 7px;
    position: absolute;
    width: 7px;
}
.cell-arrow:before {
    border-left: 7px solid #000;
    left: 0;
}
.cell-arrow:after {
    border-right: 7px solid #000;
    right: 0;
}
.cell-arrow.up:after, .cell-arrow.up:before {
    border-top: 7px solid transparent;
}

.error-value {
    color: red;
}

.cell-error-text {
    display: none;
}

.cell-error .cell-error-text {
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -137px;
    width: 274px;
    display: block;
    font-size: 10px;
    text-align: center;
    color: #fff;
    z-index: 1055;
    cursor: pointer;
}

.cell-error .cell-error-message {
    background-color: #000;
    border-radius: 11px;
    box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.25);
    margin-top: 7px;
    padding: 16px 18px 16px 44px;
    font-size: 14px;
    text-align: left;
}

.cell-error-icon {
    position: absolute;
    top: 25px;
    left: 15px;
    width: 1.4em;
    height: 1.4em;
    background-color: #d00;
    color: #fff;
    font-size: 14px;
    font-weight: bold;
    border-radius: 50%;
}


.requests_list .has-popover-request-lines {
    color: #000000;
    border-bottom: 1px dotted black;
}

.requests_list .has-popover-request-lines:hover,
.requests_list .has-popover-request-lines:active {
    border-bottom: none;
    text-decoration: none;
}

td.center, th.center {
    text-align: center;
}

.popover.bottom {
    border-radius: 0;
    margin: 15px;
    max-width: 1360px !important;
}

.popover-request .arrow {
    left: 5% !important;
}

.popover-request .popover-title {
    background-color: transparent;
    border: none;
    position: absolute;
    width: 100%;
}

.popover-request .popover-content {
    padding: 10px 15px 0;
    min-height: 100px;
}

.close-button {
    width: 17px;
    height: 17px;
    display: block;
    position: absolute;
    right: 10px;
    top: 10px;
    background-image: url(/images/cls.png);
}

.cell-error-text .close-button {
    width: 10px;
    height: 10px;
    right: 12px;
    top: 15px;
    background-size: 10px;
}

#popup-table th {
    border-bottom: 1px solid #ddd;
}

#popup-table tr {
    border-bottom: none;
}

#popup-table td {
    padding: 13px;
}

.relative {
    position: relative;
}

.table .limit {
    color: #d72a20;
    font-weight: bold;
}

.pagination > li > a, .pagination > li > span {
    color: #d72a20;
}

.pagination > li > a:hover, .pagination > li > span:hover, .pagination > li > a:focus, .pagination > li > span:focus {
    color: #ffa4a4;
    background-color: #fff;
    border: 1px solid #ddd;
    z-index: 0;
}

.pagination > .active > a, .pagination > .active > span, .pagination > .active > a:hover, .pagination > .active > span:hover, .pagination > .active > a:focus, .pagination > .active > span:focus {
    background-color: #d72a20;
    border-color: #d72a20;
}

.pagination > .disabled > span,
.pagination > .disabled > span:hover, .pagination > .disabled > span:focus,
.pagination > .disabled > a, .pagination > .disabled > a:hover, .pagination > .disabled > a:focus {

}

.active .glyphicon-refresh {
    display: inline-block;
}

.ajax-result {
    display: none;
    margin-bottom: 10px;
}

.control-group .active {
    margin-top: -10px;
}

.active .ajax-result.active {
    display: inline;
}

.ok .ajax-result.ok {
    color: #539b1c;
    display: block;
    -webkit-animation: fadeInFromNone 0.5s ease-out;
    -moz-animation: fadeInFromNone 0.5s ease-out;
    -o-animation: fadeInFromNone 0.5s ease-out;
    animation: fadeInFromNone 0.5s ease-out;
}

@-webkit-keyframes fadeInFromNone {
    0% {
        display: none;
        opacity: 0;
    }

    1% {
        display: block;
        opacity: 0;
    }

    100% {
        display: block;
        opacity: 1;
    }
}

@-moz-keyframes fadeInFromNone {
    0% {
        display: none;
        opacity: 0;
    }

    1% {
        display: block;
        opacity: 0;
    }

    100% {
        display: block;
        opacity: 1;
    }
}

@-o-keyframes fadeInFromNone {
    0% {
        display: none;
        opacity: 0;
    }

    1% {
        display: block;
        opacity: 0;
    }

    100% {
        display: block;
        opacity: 1;
    }
}

@keyframes fadeInFromNone {
    0% {
        display: none;
        opacity: 0;
    }

    1% {
        display: block;
        opacity: 0;
    }

    100% {
        display: block;
        opacity: 1;
    }
}

.error .ajax-result.error,
.rejected .ajax-result.rejected {
    color: #a94442;
    display: block;
}

/*****************
    Helpers
*****************/

.d-flex { display: flex; }
.d-inline-flex { display: inline-flex; }
.d-inline { display: inline; }
.d-block { display: block; }
.d-inline-block { display: inline-block; }

/*****************
    Form Result
******************/

.form-result {
    display: flex;
    justify-content: flex-start;
    align-items: stretch;
    margin-bottom: 10px;
}

.form-result.vertical {
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

.form-result-spinner, .form-result-message {
    display: block;
    color: #333;
    background-color: #fff;
    padding: 4px 12px;
    font-size: 14px;
    text-align: center;
    border: 1px solid #ccc;
}

.form-result-button.not-empty {
    border-radius: 4px 0 0 4px;
}

.form-result-message.error,
.form-result-message.rejected,
.form-result-error {
    color: #a94442;
    padding: 5px 13px;
    font-size: 14px;
    text-align: center;
}

.form-result-message.ok {
    color: #539b1c;
    display: block;
    -webkit-animation: fadeInFromNone 0.5s ease-out;
    -moz-animation: fadeInFromNone 0.5s ease-out;
    -o-animation: fadeInFromNone 0.5s ease-out;
    animation: fadeInFromNone 0.5s ease-out;
}

/************/

.glyphicon.spin {
    -webkit-animation:spin 1s linear infinite;
    -moz-animation:spin 1s linear infinite;
    animation:spin 1s linear infinite;
}

.active .middle-button {
    display: none;
}

.edit-form-container > .row:last-child {
    border-bottom: 2px solid #d72a20;
    padding: 0 0 20px;
    margin-bottom: 30px;
}



.edit-form .control-group {
    text-align: center;
}

.edit-form .glyphicon-refresh {
    -webkit-animation:spin 1s linear infinite;
    -moz-animation:spin 1s linear infinite;
    animation:spin 1s linear infinite;
    display: none;
}

.edit-form .help-block {
    font-size: 11px;
    margin-top: -5px;
    margin-bottom: 5px;
    font-weight: bold;
}

.edit-form .help-block-error {
    margin-top: 5px;
}

.profile-form .row {
    margin-bottom: 10px;
}

.profile-form input[type="file"] {
    color: gray;
}

.error-message, .error-message a  {
    color: #d72a20;
}

.error-message a {
    font-weight: bold;
    text-decoration: underline;
}

.error-message a:hover {
    text-decoration: none;
}

.sucess-message {
    color: #539b1c;
}

/*
.resource-form > .container .row {
    margin: 0 -5px;
}

.resource-form > .container .col-lg-2,
.resource-form > .container .col-lg-3,
.resource-form > .container .col-lg-4,
.resource-form > .container .col-lg-6,
.resource-form > .container .col-lg-8{
    padding: 0 5px;
}
*/

.resource-form textarea {
    max-width: 100%;
    min-height: 34px;
}

.resource-form .control-label {
    font-weight: normal;
}

select.form-control::-ms-expand {
    display: none;
}

select.form-control {
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    -o-appearance: none;
    appearance: none;
    background: url(/images/ico3.png) no-repeat 96% white;
    cursor: pointer;
}

select[data-role="table-filter"]:invalid {color: #999;}
select[data-role="table-filter"] option { color: #555; }

.add-resource-btn {
    float: right;
    position: relative;
    right: 0;
    top: -60px;
}

.dataTables_paginate .prev .glyphicon,
.dataTables_paginate .next .glyphicon {
    display: none;
}

th.sorting, th.sorting_asc, th.sorting_desc {
    cursor: pointer;
}

.sorting_asc:after, .sorting_desc:after, .sorting:hover:after {
    content: ' ';
    position: relative;
    left: 10px;
}

.sorting_desc:hover:after, .sorting_asc:after, .sorting:hover:after {
    top: auto;
    border: 5px solid transparent;
    bottom: 10px;
    border-bottom-color: #d72a20;
}

.sorting_asc:hover:after, .sorting_desc:after {
    border: 5px solid transparent;
    top: 12px;
    border-top-color: #d72a20;
}

.edit-button {
    background: url(/images/edit-btn.png) no-repeat left transparent;
}

@-webkit-keyframes fadeOut {
    0% {
        display: none;
        opacity: 1;
    }

    1% {
        display: block;
        opacity: 1;
    }

    100% {
        display: block;
        opacity: 0.5;
    }
}

@-moz-keyframes fadeOut {
    0% {
        display: none;
        opacity: 1;
    }

    1% {
        display: block;
        opacity: 1;
    }

    100% {
        display: block;
        opacity: 0.5;
    }
}

@-o-keyframes fadeOut {
    0% {
        display: none;
        opacity: 1;
    }

    1% {
        display: block;
        opacity: 1;
    }

    100% {
        display: block;
        opacity: 0.5;
    }
}

@keyframes fadeOut {
    0% {
        display: none;
        opacity: 1;
    }

    1% {
        display: block;
        opacity: 1;
    }

    100% {
        display: block;
        opacity: 0.5;
    }
}

.dataTables_filter {
    position: relative;
    display: flex;
    align-items: center;
}

.dataTables_filter input.form-control {
    padding-right: 30px;
    width: 170px;
}

#reset_filter {
    cursor: pointer;
    display: none;
    position: absolute;
    right: 30px;
    top: 12px;
}

.status-cell {
    color: #d72a20;
}

.xls-form .form-group, .xls-form .help-block {
    margin: 0;
}

.exp-xls-ico {
    display: inline-block;
    width: 30px;
    height: 18px;
    background-image: url(/images/exp-xls.png);
}

.imp-xls-ico {
    display: inline-block;
    width: 30px;
    height: 18px;
    background-image: url(/images/imp-xls.png);
}

.xlsx-icon {
    display: inline-block;
    width: 27px;
    height: 27px;
    background-image: url(/images/xlsx_icon.png);
}

.download-icon {
    display: inline-block;
    width: 27px;
    height: 27px;
    background-image: url(/images/download_icon.png);
}

.upload-icon {
    display: inline-block;
    width: 27px;
    height: 27px;
    background-image: url(/images/upload_icon.png);
}

.import-toggle .template-link {
    vertical-align: top;
}

.upload-btn-wrapper {
    position: relative;
    overflow: hidden;
    display: inline-block;
    margin-left: 5px;
    margin-right: 5px;
}

.upload-btn-wrapper input {
    cursor: pointer;
}

.upload-btn-wrapper input[type=file] {
    font-size: 100px;
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
}

.fadeOutOpacity:hover, .fadeOutOpacity:active {
    opacity: 0.5;
}

.direction-suffix {
    color: #d72a20;
}

.filteredDropDown .hidden-option {
    display: none;
}

.requests_list input.confirmed-input {
    width: 32px;
    text-align: center;
    height: 22px;
}

#pre_requests_list .buttons {
    height: 19px;
}

#pre_requests_list .buttons a {
    margin-left: 0;
}

.status-icons.icons-absolute {
    position: absolute;
}

.hidden-field {
    display: none;
}

.content-split {
    height: 100%;
    position: absolute;
    width: 100%;
    top: 0;
}

.header-split .column, .content-split .column {
    display: inline-block;
    width: 50%;
}

.content-split .column {
    line-height: 35px;
    height: 100%;
}

.ok .field-ordered, .new .field-ordered {
    background-color: #00BFFF;
}

.ok .field-confirmed, .new .field-confirmed {
    background-color: #90EE90;
}

.new .field-confirmed input, .ok .field-confirmed input {
    background-color: #90EE90;
}

.field-ordered.red {
    color: #d72a20;
    font-weight: bold;
}

.requests_list td.colpsan-cell {
    padding: 0;
    position: relative;
}

.action-button {
    border-bottom: 1px dotted #d72a20;
    cursor: pointer;
    color: #d72a20;
}

.action-button.disabled {
    display: none;
}

.action-button:hover {
    border-bottom: none;
    text-decoration: none;
    color: #d72a20;
}

.fill-previous-button {
    margin-top: -35px;
    float: right;
}

.add-row-button {
    float: right;
    margin-top: 18px;
}

.col-attachmentLeaseSpecification {
    min-width: 260px;
}

.subject-prefix {
    font-weight: normal;
    color: #777777;
    padding-left: 20px;
}

.file-group > input {
    display: none !important;
}

.file-group > .file-info {
    font-weight: normal;
    padding-left: 10px;
}

.file-is-uploaded {
    color: #539b1c;
}
.file-is-uploaded + label {
    padding-left: 10px;
}

.form-group.required > label::after {
    content: '*';
    color: red;
    padding-left: 4px;
}

.row.flex {
    display: flex;
    flex-wrap: wrap;
}

/******************
    DataTables
******************/

#users_list_table .dt-paging {
    text-align: right;
}

#users_list_table .dt-info {
    padding-top: 8px;
    white-space: nowrap;
}

#users_list_table .dt-length select {
    width: 60px;
    display: inline-block;
    padding: 0 5px;
}

#users_list_table .dt-container > .row:nth-last-child(2) {
    margin-top: 10px;
}

/***************
    Helpers
***************/

.mb-0 { margin-bottom: 0; }
.mb-5px { margin-bottom: 5px; }
.mb-10px { margin-bottom: 10px; }
.mb-20px { margin-bottom: 20px; }
.mb-30px { margin-bottom: 30px; }
.mt-0 { margin-top: 0; }
.mt-5px { margin-top: 5px; }
.mt-10px { margin-top: 10px; }
.mt-20px { margin-top: 20px; }
.mt-30px { margin-top: 30px; }
.ml-0 { margin-left: 0; }
.ml-10 { margin-left: 10px; }
.ml-20 { margin-left: 20px; }
.ml-30 { margin-left: 30px; }
.mr-0 { margin-right: 0; }
.mr-10 { margin-right: 10px; }
.mr-20 { margin-right: 20px; }
.mr-30 { margin-right: 30px; }

.p-0 { padding: 0; }
.pb-0 { padding-bottom: 0; }
.pb-5px { padding-bottom: 5px; }
.pb-10px { padding-bottom: 10px; }
.pb-20px { padding-bottom: 20px; }
.pb-30px { padding-bottom: 30px; }
.pt-0 { padding-top: 0; }
.pt-5px { padding-top: 5px; }
.pt-10px { padding-top: 10px; }
.pt-20px { padding-top: 20px; }
.pt-30px { padding-top: 30px; }
.pl-0 { padding-left: 0; }
.pl-10 { padding-left: 10px; }
.pl-20 { padding-left: 20px; }
.pl-30 { padding-left: 30px; }

.h-100 { height: 100%; }

.align-items-start { align-items: start; }
.align-items-center { align-items: center; }
.align-items-end { align-items: end; }

.justify-end { justify-content: end; }

.text-center ul {
    list-style: none;
    padding-inline-start: 0;
}

.text-center ul > li:before {
    content: "\2022";
    margin-right: 5px;
}

.font-size-13 {
  font-size: 13px;
}
